%global majorversion 1.0

Name:           xfce4-taskmanager
Version:        1.0.0
Release:        2%{?dist}
Summary:        Taskmanager for the Xfce desktop environment

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://archive.xfce.org/src/apps/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.4
BuildRequires:  gettext, desktop-file-utils, intltool

%description
A simple taskmanager for the Xfce desktop environment.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora                      \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category GTK                                      \
  --add-category Monitor                                  \
  --add-category X-Xfce                                   \
  --remove-category Utility                               \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 15 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0 final

* Sun Jun 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.92-1
- Update to 0.5.91 (0.6 Beta 3)

* Tue May 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.91-1
- Update to 0.5.91 (0.6 Beta 2)

* Thu Jul 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
- Rebuild for i586 and SHA 256 hashes in RPM
- Rework categories of desktop file to allow nested menus

* Tue Sep 30 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1
- Remove patches (fixed upstream)

* Sat May 24 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0 stable which has finally been released
- Add patch to fix 0%-CPU bug (rebased version of Enrico Tröger's patch)
- Add patch to fix some compiler warnings (also based on Enrico's work)
- Update license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-0.3.rc2
- Autorebuild for GCC 4.3

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-0.2.rc2
- Bump release for devel checkin.

* Tue Oct 03 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-0.1.rc2
- Update to 0.4-rc2.
- Add BR on perl(XML::Parser), drop intltool.

* Mon Oct 02 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-6
- Rebuild for XFCE 4.4.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-5
- Mass rebuild for Fedora Core 6.
- Fix %%defattr.

* Sat Jun 03 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-4
- Add intltool BR (#193444).

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-3
- Rebuild for Fedora Extras 5.

* Thu Dec 15 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-2
- Initial Fedora Extras version.
- Add xfce4-taskmanager.desktop.
- Remove useless NEWS from %%doc.
- Clean up specfile.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc4.cw
- Updated to version 0.3.1.
- Rebuild for Core 4.

* Thu Apr 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-1.fc3.cw
- Initial RPM release.
